<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="verbose" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="5b608f24-0026-4fbe-932f-d21189385f63" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="1ebd1915" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1abucrLZKkj6yd9TgykPn8RYIP6" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="AndroidF" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2020-06-04T13:26:04.736Z" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="android.sdk.path" value="D:/sdk" />
    <property name="last_opened_file_path" value="F:/maniu/andy/daima/MnMemoryDemo" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\andy\maniu\android\MnMemory\app" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="true" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="true" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="5b608f24-0026-4fbe-932f-d21189385f63" name="Default Changelist" comment="" />
      <created>1587016696535</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1587016696535</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="477" y="252" key="#PSD" timestamp="1605337752341">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="477" y="252" key="#PSD/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605337752341" />
    <state x="-1155" y="243" key="#com.intellij.ide.util.MemberChooser" timestamp="1602942462882">
      <screen x="-1920" y="7" width="1920" height="1040" />
    </state>
    <state x="-1155" y="243" key="#com.intellij.ide.util.MemberChooser/0.0.1920.1040/-1920.7.1920.1040@-1920.7.1920.1040" timestamp="1602942462882" />
    <state x="2525" y="268" key="FileChooserDialogImpl" timestamp="1606823502872">
      <screen x="1920" y="0" width="1920" height="1040" />
    </state>
    <state x="-1315" y="277" key="FileChooserDialogImpl/-1920.9.1920.1040/0.0.1920.1040@-1920.9.1920.1040" timestamp="1603104241243" />
    <state x="-1315" y="275" key="FileChooserDialogImpl/0.0.1920.1040/-1920.7.1920.1040@-1920.7.1920.1040" timestamp="1601809899850" />
    <state x="605" y="268" key="FileChooserDialogImpl/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605346141844" />
    <state x="2525" y="268" key="FileChooserDialogImpl/0.0.1920.1040/1920.0.1920.1040@1920.0.1920.1040" timestamp="1606823502872" />
    <state x="605" y="268" key="FileChooserDialogImpl/0.0.1920.1040@0.0.1920.1040" timestamp="1606726263383" />
    <state width="1566" height="297" key="GridCell.Tab.0.bottom" timestamp="1606822901093">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1198" height="468" key="GridCell.Tab.0.bottom/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605338452241" />
    <state width="1387" height="172" key="GridCell.Tab.0.bottom/0.0.1920.1040/1920.0.1440.860@1920.0.1440.860" timestamp="1605346150170" />
    <state width="1566" height="297" key="GridCell.Tab.0.bottom/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1606822901093" />
    <state width="1566" height="540" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1606726011291" />
    <state width="1877" height="118" key="GridCell.Tab.0.bottom/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1604498429602" />
    <state width="1566" height="297" key="GridCell.Tab.0.center" timestamp="1606822901093">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1198" height="468" key="GridCell.Tab.0.center/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605338452241" />
    <state width="1387" height="172" key="GridCell.Tab.0.center/0.0.1920.1040/1920.0.1440.860@1920.0.1440.860" timestamp="1605346150169" />
    <state width="1566" height="297" key="GridCell.Tab.0.center/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1606822901093" />
    <state width="1566" height="540" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1606726011291" />
    <state width="1877" height="118" key="GridCell.Tab.0.center/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1604498429602" />
    <state width="1566" height="297" key="GridCell.Tab.0.left" timestamp="1606822901092">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1198" height="468" key="GridCell.Tab.0.left/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605338452240" />
    <state width="1387" height="172" key="GridCell.Tab.0.left/0.0.1920.1040/1920.0.1440.860@1920.0.1440.860" timestamp="1605346150169" />
    <state width="1566" height="297" key="GridCell.Tab.0.left/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1606822901092" />
    <state width="1566" height="540" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1606726011290" />
    <state width="1877" height="118" key="GridCell.Tab.0.left/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1604498429602" />
    <state width="1566" height="297" key="GridCell.Tab.0.right" timestamp="1606822901093">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1198" height="468" key="GridCell.Tab.0.right/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605338452241" />
    <state width="1387" height="172" key="GridCell.Tab.0.right/0.0.1920.1040/1920.0.1440.860@1920.0.1440.860" timestamp="1605346150170" />
    <state width="1566" height="297" key="GridCell.Tab.0.right/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1606822901093" />
    <state width="1566" height="540" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1606726011291" />
    <state width="1877" height="118" key="GridCell.Tab.0.right/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1604498429602" />
    <state x="461" y="162" key="SettingsEditor" timestamp="1605342959590">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="-1459" y="162" key="SettingsEditor/0.0.1920.1040/-1920.0.1920.1040@-1920.0.1920.1040" timestamp="1601454000220" />
    <state x="461" y="162" key="SettingsEditor/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605342959590" />
    <state x="-1828" y="92" width="1736" height="856" key="com.android.tools.idea.avdmanager.AvdListDialog" timestamp="1601454049292">
      <screen x="-1920" y="0" width="1920" height="1040" />
    </state>
    <state x="-1828" y="92" width="1736" height="856" key="com.android.tools.idea.avdmanager.AvdListDialog/0.0.1920.1040/-1920.0.1920.1040@-1920.0.1920.1040" timestamp="1601454049292" />
    <state x="506" y="337" key="com.intellij.ide.util.TipDialog" timestamp="1606822947676">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="-1414" y="346" key="com.intellij.ide.util.TipDialog/-1920.9.1920.1040/0.0.1920.1040@-1920.9.1920.1040" timestamp="1603104217262" />
    <state x="-1414" y="344" key="com.intellij.ide.util.TipDialog/0.0.1920.1040/-1920.7.1920.1040@-1920.7.1920.1040" timestamp="1601809885736" />
    <state x="506" y="337" key="com.intellij.ide.util.TipDialog/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1606822947676" />
    <state x="506" y="337" key="com.intellij.ide.util.TipDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1606726014327" />
    <state x="506" y="337" key="com.intellij.ide.util.TipDialog/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1604488912861" />
    <state x="567" y="17" width="831" height="1023" key="find.popup" timestamp="1605347250941">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="567" y="17" width="831" height="1023" key="find.popup/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605347250941" />
    <state x="532" y="236" key="run.anything.popup" timestamp="1605347319888">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="532" y="236" key="run.anything.popup/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1605347319888" />
    <state x="-1297" y="232" width="672" height="678" key="search.everywhere.popup" timestamp="1602942606862">
      <screen x="-1920" y="7" width="1920" height="1040" />
    </state>
    <state x="-1297" y="232" width="672" height="678" key="search.everywhere.popup/0.0.1920.1040/-1920.7.1920.1040@-1920.7.1920.1040" timestamp="1602942606862" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-method">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/maniu/gamelive/ScreenLive.java</url>
          <line>52</line>
          <properties class="com.maniu.gamelive.ScreenLive" method="onActivityResult">
            <option name="EMULATED" value="true" />
          </properties>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>